#!/bin/bash -e

if [ -n "$INTERVAL_SECONDS" ] && [[ "$INTERVAL_SECONDS" =~ [^0-9] ]]; then
    echo "Invalid INTERVAL_SECONDS: $INTERVAL_SECONDS"
    exit 1
fi

# if INTERVAL_SECONDS is set, the string after the '+' is used, otherwise a blank string
eval exec /usr/bin/update_nsx_licensing_status_for_lastline_cloud.py \
        --config-file \
            "$WRITABLE_BASE_DIR/etc/lastline/logging.ini" \
            "$WRITABLE_BASE_DIR/etc/lastline/papi_client.ini" \
            "$WRITABLE_BASE_DIR/etc/lastline/nsx_api_client.ini" \
        ${INTERVAL_SECONDS+"--interval-seconds $INTERVAL_SECONDS"}
